## org.gnu.gdk
Class Geometry

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.MemStruct
              org.gnu.gdk.Geometry

public class Geometry
extends MemStruct

Gives the window manager information about a window's geometry constraints.

Constructor Summary
`Geometry()`

Method Summary
`int` `getBaseHeight()`
`int` `getBaseWidth()`
`int` `getHeightIncrement()`
`double` `getMaxAspect()`
`int` `getMaxHeight()`
`int` `getMaxWidth()`
`double` `getMinAspect()`
`int` `getMinHeight()`
`int` `getMinWidth()`
`int` `getWidthIncrement()`
`Gravity` `getWindowGravity()`

Methods inherited from class org.gnu.glib.MemStruct
`getMemStructFromHandle`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Geometry

    public Geometry()

Method Detail

### getMinWidth

    public int getMinWidth()

### getMaxWidth

    public int getMaxWidth()

### getMinHeight

    public int getMinHeight()

### getMaxHeight

    public int getMaxHeight()

### getBaseWidth

    public int getBaseWidth()

### getBaseHeight

    public int getBaseHeight()

### getWidthIncrement

    public int getWidthIncrement()

### getHeightIncrement

    public int getHeightIncrement()

### getMinAspect

    public double getMinAspect()

### getMaxAspect

    public double getMaxAspect()

### getWindowGravity

    public Gravity getWindowGravity()